classification
Title: document argparse's help=SUPPRESS
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bethard, docs@python, python-dev, sandro.tosi
Priority: normal Keywords:

Created on 2010-07-23 13:46 by bethard, last changed 2012-01-03 17:41 by sandro.tosi. This issue is now closed.

Messages (2)
msg111320 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2010-07-23 13:46
Argparse supports silencing help for certain options using SUPPRESS.

>>> parser = argparse.ArgumentParser()
>>> parser.add_argument('--foo', help=argparse.SUPPRESS)
>>> parser.print_help()
usage: [-h]

optional arguments:
  -h, --help  show this help message and exit

This should be documented in the description of help=

http://docs.python.org/library/argparse.html#help
msg150520 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-03 17:39
New changeset 572ddf2770bc by Sandro Tosi in branch '3.2':
Issue #9349: add argparse.SUPPRESS to help doc
http://hg.python.org/cpython/rev/572ddf2770bc

New changeset 17b7b856cbe8 by Sandro Tosi in branch '2.7':
Issue #9349: add argparse.SUPPRESS to help doc
http://hg.python.org/cpython/rev/17b7b856cbe8
History
Date User Action Args
2012-10-18 16:38:21bethardlinkissue12686 superseder
2012-01-03 17:41:39sandro.tosisetstatus: open -> closed
versions: + Python 3.3
nosy: + sandro.tosi

resolution: fixed
stage: resolved
2012-01-03 17:39:10python-devsetnosy: + python-dev
messages: + msg150520
2010-07-23 13:46:35bethardcreate